coap_subscribe_internal.h File Reference

COAP subscribe internal information. More...

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | coap_subscription_t
| Subscriber information. More...

## Macros

#define | COAP_OBS_MAX_NON 5
| Number of notifications that may be sent non-confirmable before a confirmable message is sent to detect if observers are alive. More...
#define | COAP_OBS_MAX_FAIL 3
| Number of confirmable notifications that may fail (i.e. More...

## Functions

void | coap_subscription_init (coap_subscription_t *)

## Detailed Description

COAP subscribe internal information.

Definition in file coap_subscribe_internal.h.